## zowe › ejes › batch › cmdstack

Issues a starting command stack. It connects to the host and allows you to use an enhanced set of EJES BATCH commands.

#### Usage

zowe ejes batch cmdstack <parameter-list> [options]

#### Positional Arguments

- `parameter-list` (string)

  - A required command stack enclosed in double-quotes. The command stack may contain meta commands like echo and download. For a list of meta commands, use the option --helpApp meta. For information about (E)JES host primary commands and their parameters, read Chapter 5 (E)JES Commands in the (E)JES Reference.

#### Options

- `--blanks` | `-b` (string)

  - Display blank lines to stderr (starts with blanks on)

- `--cmdstack` | `-c` (string)

  - Start with a host command stack, separated by semicolons and enclosed in quotes.

- `--autoupdate` | `-a` | `--aup` (array)

  - Append the UPDATE command to the command stack when you press enter (if it doesn't end with an UPDATE). Not recommended when issuing FIND requests.

- `--debug` | `--dbg` | `--dv` | `--debug-value` (number)

  - Specify a numeric debugging mode.

- `--echo` | `-e` (array)

  - Display host screen output to stdout.

- `--inactivity` | `-i` (number)

  - Specify host activity timeout in minutes (starts set to 2).

- `--resume` | `-r` (array)

  - For use with the pause meta command. Use "off" to prevent resuming an auto pin session.

- `--screen` | `-s` (array)

  - Display host screen output to stderr.

- `--terminal` | `-t` (string)

  - Set terminal emulation size or type. String: [*|[<number>[,|x] <number>]|[2|3|4|5]

- `--quiet` | `-q` (array)

  - Prevent output of interactive details, including version title on start and exit code on exit.

#### EJES Connection Options

- `--protocol` | `--prot` (string)

  - Protocol used to access (E)JES server.

    Default value: https
    Allowed values: http, https, list, help

- `--host` (string)

  - The (E)JES server host name.

- `--port` (number)

  - The (E)JES server port.

    Default value: 443

- `--user` (string)

  - Mainframe (E)JES user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (E)JES password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--rejectunauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--basepath` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all (E)JES resources when making REST requests.

- `--color-scheme` | `--scheme` | `--cs` (string)

  - Accessibility option: Specify the name of a color scheme. User scheme files may also be created and specified to provide better contrast or to favor easier to see colors. For a how-to, use "zowe ejes emulate batch --helpApp scheme-info". Zowe ejes log stream ignores this option as it outputs plain text by default, only colorizing when ANSI color options are specified.

    Allowed values: dark, light, powershell, nono, none, user-scheme-file, list, help

    Default value: dark

- `--no-color` | `--nocolor` | `--nc` (string)

  - Accessibility option: Specify to prevent colorization of the CLI. Same effect as defining NO_COLOR or FORCE_COLOR=0.

#### Profile Options

- `--ejes-profile` | `--ejes-p` (string)

  - The name of a (ejes) profile to load for this command execution.